Makefile.in 26 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742743744745746747748749750751752753754755756757758759760761762763764765766767768769770771772773774775776777778779780781782783784785786787788789790791792793794795796797798799800801802803804805806807808809810811812813814815816817818819820821822823824825826827828829
  1. # Makefile.in generated by automake 1.15 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994-2014 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. @SET_MAKE@
  12. VPATH = @srcdir@
  13. am__is_gnu_make = { \
  14. if test -z '$(MAKELEVEL)'; then \
  15. false; \
  16. elif test -n '$(MAKE_HOST)'; then \
  17. true; \
  18. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  19. true; \
  20. else \
  21. false; \
  22. fi; \
  23. }
  24. am__make_running_with_option = \
  25. case $${target_option-} in \
  26. ?) ;; \
  27. *) echo "am__make_running_with_option: internal error: invalid" \
  28. "target option '$${target_option-}' specified" >&2; \
  29. exit 1;; \
  30. esac; \
  31. has_opt=no; \
  32. sane_makeflags=$$MAKEFLAGS; \
  33. if $(am__is_gnu_make); then \
  34. sane_makeflags=$$MFLAGS; \
  35. else \
  36. case $$MAKEFLAGS in \
  37. *\\[\ \ ]*) \
  38. bs=\\; \
  39. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  40. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  41. esac; \
  42. fi; \
  43. skip_next=no; \
  44. strip_trailopt () \
  45. { \
  46. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  47. }; \
  48. for flg in $$sane_makeflags; do \
  49. test $$skip_next = yes && { skip_next=no; continue; }; \
  50. case $$flg in \
  51. *=*|--*) continue;; \
  52. -*I) strip_trailopt 'I'; skip_next=yes;; \
  53. -*I?*) strip_trailopt 'I';; \
  54. -*O) strip_trailopt 'O'; skip_next=yes;; \
  55. -*O?*) strip_trailopt 'O';; \
  56. -*l) strip_trailopt 'l'; skip_next=yes;; \
  57. -*l?*) strip_trailopt 'l';; \
  58. -[dEDm]) skip_next=yes;; \
  59. -[JT]) skip_next=yes;; \
  60. esac; \
  61. case $$flg in \
  62. *$$target_option*) has_opt=yes; break;; \
  63. esac; \
  64. done; \
  65. test $$has_opt = yes
  66. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  67. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  68. pkgdatadir = $(datadir)/@PACKAGE@
  69. pkgincludedir = $(includedir)/@PACKAGE@
  70. pkglibdir = $(libdir)/@PACKAGE@
  71. pkglibexecdir = $(libexecdir)/@PACKAGE@
  72. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  73. install_sh_DATA = $(install_sh) -c -m 644
  74. install_sh_PROGRAM = $(install_sh) -c
  75. install_sh_SCRIPT = $(install_sh) -c
  76. INSTALL_HEADER = $(INSTALL_DATA)
  77. transform = $(program_transform_name)
  78. NORMAL_INSTALL = :
  79. PRE_INSTALL = :
  80. POST_INSTALL = :
  81. NORMAL_UNINSTALL = :
  82. PRE_UNINSTALL = :
  83. POST_UNINSTALL = :
  84. bin_PROGRAMS = sshpass$(EXEEXT)
  85. subdir = .
  86. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  87. am__aclocal_m4_deps = $(top_srcdir)/configure.ac
  88. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  89. $(ACLOCAL_M4)
  90. DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
  91. $(am__configure_deps) $(am__DIST_COMMON)
  92. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  93. configure.lineno config.status.lineno
  94. mkinstalldirs = $(install_sh) -d
  95. CONFIG_HEADER = config.h
  96. CONFIG_CLEAN_FILES =
  97. CONFIG_CLEAN_VPATH_FILES =
  98. am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"
  99. PROGRAMS = $(bin_PROGRAMS)
  100. am_sshpass_OBJECTS = main.$(OBJEXT)
  101. sshpass_OBJECTS = $(am_sshpass_OBJECTS)
  102. sshpass_LDADD = $(LDADD)
  103. AM_V_P = $(am__v_P_@AM_V@)
  104. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  105. am__v_P_0 = false
  106. am__v_P_1 = :
  107. AM_V_GEN = $(am__v_GEN_@AM_V@)
  108. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  109. am__v_GEN_0 = @echo " GEN " $@;
  110. am__v_GEN_1 =
  111. AM_V_at = $(am__v_at_@AM_V@)
  112. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  113. am__v_at_0 = @
  114. am__v_at_1 =
  115. DEFAULT_INCLUDES = -I.@am__isrc@
  116. depcomp = $(SHELL) $(top_srcdir)/depcomp
  117. am__depfiles_maybe = depfiles
  118. am__mv = mv -f
  119. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  120. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  121. AM_V_CC = $(am__v_CC_@AM_V@)
  122. am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
  123. am__v_CC_0 = @echo " CC " $@;
  124. am__v_CC_1 =
  125. CCLD = $(CC)
  126. LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
  127. AM_V_CCLD = $(am__v_CCLD_@AM_V@)
  128. am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
  129. am__v_CCLD_0 = @echo " CCLD " $@;
  130. am__v_CCLD_1 =
  131. SOURCES = $(sshpass_SOURCES)
  132. DIST_SOURCES = $(sshpass_SOURCES)
  133. am__can_run_installinfo = \
  134. case $$AM_UPDATE_INFO_DIR in \
  135. n|no|NO) false;; \
  136. *) (install-info --version) >/dev/null 2>&1;; \
  137. esac
  138. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  139. am__vpath_adj = case $$p in \
  140. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  141. *) f=$$p;; \
  142. esac;
  143. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  144. am__install_max = 40
  145. am__nobase_strip_setup = \
  146. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  147. am__nobase_strip = \
  148. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  149. am__nobase_list = $(am__nobase_strip_setup); \
  150. for p in $$list; do echo "$$p $$p"; done | \
  151. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  152. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  153. if (++n[$$2] == $(am__install_max)) \
  154. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  155. END { for (dir in files) print dir, files[dir] }'
  156. am__base_list = \
  157. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  158. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  159. am__uninstall_files_from_dir = { \
  160. test -z "$$files" \
  161. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  162. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  163. $(am__cd) "$$dir" && rm -f $$files; }; \
  164. }
  165. man1dir = $(mandir)/man1
  166. NROFF = nroff
  167. MANS = $(man_MANS)
  168. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
  169. $(LISP)config.h.in
  170. # Read a list of newline-separated strings from the standard input,
  171. # and print each of them once, without duplicates. Input order is
  172. # *not* preserved.
  173. am__uniquify_input = $(AWK) '\
  174. BEGIN { nonempty = 0; } \
  175. { items[$$0] = 1; nonempty = 1; } \
  176. END { if (nonempty) { for (i in items) print i; }; } \
  177. '
  178. # Make sure the list of sources is unique. This is necessary because,
  179. # e.g., the same source file might be shared among _SOURCES variables
  180. # for different programs/libraries.
  181. am__define_uniq_tagged_files = \
  182. list='$(am__tagged_files)'; \
  183. unique=`for i in $$list; do \
  184. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  185. done | $(am__uniquify_input)`
  186. ETAGS = etags
  187. CTAGS = ctags
  188. CSCOPE = cscope
  189. AM_RECURSIVE_TARGETS = cscope
  190. am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in AUTHORS \
  191. COPYING ChangeLog INSTALL NEWS README compile depcomp \
  192. install-sh missing
  193. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  194. distdir = $(PACKAGE)-$(VERSION)
  195. top_distdir = $(distdir)
  196. am__remove_distdir = \
  197. if test -d "$(distdir)"; then \
  198. find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  199. && rm -rf "$(distdir)" \
  200. || { sleep 5 && rm -rf "$(distdir)"; }; \
  201. else :; fi
  202. am__post_remove_distdir = $(am__remove_distdir)
  203. DIST_ARCHIVES = $(distdir).tar.gz
  204. GZIP_ENV = --best
  205. DIST_TARGETS = dist-gzip
  206. distuninstallcheck_listfiles = find . -type f -print
  207. am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  208. | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  209. distcleancheck_listfiles = find . -type f -print
  210. ACLOCAL = @ACLOCAL@
  211. AMTAR = @AMTAR@
  212. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  213. AUTOCONF = @AUTOCONF@
  214. AUTOHEADER = @AUTOHEADER@
  215. AUTOMAKE = @AUTOMAKE@
  216. AWK = @AWK@
  217. CC = @CC@
  218. CCDEPMODE = @CCDEPMODE@
  219. CFLAGS = @CFLAGS@
  220. CPP = @CPP@
  221. CPPFLAGS = @CPPFLAGS@
  222. CYGPATH_W = @CYGPATH_W@
  223. DEFS = @DEFS@
  224. DEPDIR = @DEPDIR@
  225. ECHO_C = @ECHO_C@
  226. ECHO_N = @ECHO_N@
  227. ECHO_T = @ECHO_T@
  228. EGREP = @EGREP@
  229. EXEEXT = @EXEEXT@
  230. GREP = @GREP@
  231. INSTALL = @INSTALL@
  232. INSTALL_DATA = @INSTALL_DATA@
  233. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  234. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  235. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  236. LDFLAGS = @LDFLAGS@
  237. LIBOBJS = @LIBOBJS@
  238. LIBS = @LIBS@
  239. LTLIBOBJS = @LTLIBOBJS@
  240. MAKEINFO = @MAKEINFO@
  241. MKDIR_P = @MKDIR_P@
  242. OBJEXT = @OBJEXT@
  243. PACKAGE = @PACKAGE_NAME@
  244. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  245. PACKAGE_NAME = @PACKAGE_NAME@
  246. PACKAGE_STRING = @PACKAGE_STRING@
  247. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  248. PACKAGE_URL = @PACKAGE_URL@
  249. PACKAGE_VERSION = @PACKAGE_VERSION@
  250. PATH_SEPARATOR = @PATH_SEPARATOR@
  251. SET_MAKE = @SET_MAKE@
  252. SHELL = @SHELL@
  253. STRIP = @STRIP@
  254. VERSION = @PACKAGE_VERSION@
  255. abs_builddir = @abs_builddir@
  256. abs_srcdir = @abs_srcdir@
  257. abs_top_builddir = @abs_top_builddir@
  258. abs_top_srcdir = @abs_top_srcdir@
  259. ac_ct_CC = @ac_ct_CC@
  260. am__include = @am__include@
  261. am__leading_dot = @am__leading_dot@
  262. am__quote = @am__quote@
  263. am__tar = @am__tar@
  264. am__untar = @am__untar@
  265. bindir = @bindir@
  266. build_alias = @build_alias@
  267. builddir = @builddir@
  268. datadir = @datadir@
  269. datarootdir = @datarootdir@
  270. docdir = @docdir@
  271. dvidir = @dvidir@
  272. exec_prefix = @exec_prefix@
  273. host_alias = @host_alias@
  274. htmldir = @htmldir@
  275. includedir = @includedir@
  276. infodir = @infodir@
  277. install_sh = @install_sh@
  278. libdir = @libdir@
  279. libexecdir = @libexecdir@
  280. localedir = @localedir@
  281. localstatedir = @localstatedir@
  282. mandir = @mandir@
  283. mkdir_p = @mkdir_p@
  284. oldincludedir = @oldincludedir@
  285. pdfdir = @pdfdir@
  286. prefix = @prefix@
  287. program_transform_name = @program_transform_name@
  288. psdir = @psdir@
  289. runstatedir = @runstatedir@
  290. sbindir = @sbindir@
  291. sharedstatedir = @sharedstatedir@
  292. srcdir = @srcdir@
  293. sysconfdir = @sysconfdir@
  294. target_alias = @target_alias@
  295. top_build_prefix = @top_build_prefix@
  296. top_builddir = @top_builddir@
  297. top_srcdir = @top_srcdir@
  298. man_MANS = sshpass.1
  299. EXTRA_DIST = $(man_MANS)
  300. sshpass_SOURCES = main.c
  301. all: config.h
  302. $(MAKE) $(AM_MAKEFLAGS) all-am
  303. .SUFFIXES:
  304. .SUFFIXES: .c .o .obj
  305. am--refresh: Makefile
  306. @:
  307. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  308. @for dep in $?; do \
  309. case '$(am__configure_deps)' in \
  310. *$$dep*) \
  311. echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
  312. $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
  313. && exit 0; \
  314. exit 1;; \
  315. esac; \
  316. done; \
  317. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
  318. $(am__cd) $(top_srcdir) && \
  319. $(AUTOMAKE) --gnu Makefile
  320. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  321. @case '$?' in \
  322. *config.status*) \
  323. echo ' $(SHELL) ./config.status'; \
  324. $(SHELL) ./config.status;; \
  325. *) \
  326. echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  327. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  328. esac;
  329. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  330. $(SHELL) ./config.status --recheck
  331. $(top_srcdir)/configure: $(am__configure_deps)
  332. $(am__cd) $(srcdir) && $(AUTOCONF)
  333. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  334. $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  335. $(am__aclocal_m4_deps):
  336. config.h: stamp-h1
  337. @test -f $@ || rm -f stamp-h1
  338. @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
  339. stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  340. @rm -f stamp-h1
  341. cd $(top_builddir) && $(SHELL) ./config.status config.h
  342. $(srcdir)/config.h.in: $(am__configure_deps)
  343. ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
  344. rm -f stamp-h1
  345. touch $@
  346. distclean-hdr:
  347. -rm -f config.h stamp-h1
  348. install-binPROGRAMS: $(bin_PROGRAMS)
  349. @$(NORMAL_INSTALL)
  350. @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
  351. if test -n "$$list"; then \
  352. echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
  353. $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
  354. fi; \
  355. for p in $$list; do echo "$$p $$p"; done | \
  356. sed 's/$(EXEEXT)$$//' | \
  357. while read p p1; do if test -f $$p \
  358. ; then echo "$$p"; echo "$$p"; else :; fi; \
  359. done | \
  360. sed -e 'p;s,.*/,,;n;h' \
  361. -e 's|.*|.|' \
  362. -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
  363. sed 'N;N;N;s,\n, ,g' | \
  364. $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
  365. { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
  366. if ($$2 == $$4) files[d] = files[d] " " $$1; \
  367. else { print "f", $$3 "/" $$4, $$1; } } \
  368. END { for (d in files) print "f", d, files[d] }' | \
  369. while read type dir files; do \
  370. if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
  371. test -z "$$files" || { \
  372. echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
  373. $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
  374. } \
  375. ; done
  376. uninstall-binPROGRAMS:
  377. @$(NORMAL_UNINSTALL)
  378. @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
  379. files=`for p in $$list; do echo "$$p"; done | \
  380. sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
  381. -e 's/$$/$(EXEEXT)/' \
  382. `; \
  383. test -n "$$list" || exit 0; \
  384. echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
  385. cd "$(DESTDIR)$(bindir)" && rm -f $$files
  386. clean-binPROGRAMS:
  387. -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
  388. sshpass$(EXEEXT): $(sshpass_OBJECTS) $(sshpass_DEPENDENCIES) $(EXTRA_sshpass_DEPENDENCIES)
  389. @rm -f sshpass$(EXEEXT)
  390. $(AM_V_CCLD)$(LINK) $(sshpass_OBJECTS) $(sshpass_LDADD) $(LIBS)
  391. mostlyclean-compile:
  392. -rm -f *.$(OBJEXT)
  393. distclean-compile:
  394. -rm -f *.tab.c
  395. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/main.Po@am__quote@
  396. .c.o:
  397. @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  398. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  399. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  400. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  401. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
  402. .c.obj:
  403. @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  404. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  405. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  406. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  407. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  408. install-man1: $(man_MANS)
  409. @$(NORMAL_INSTALL)
  410. @list1=''; \
  411. list2='$(man_MANS)'; \
  412. test -n "$(man1dir)" \
  413. && test -n "`echo $$list1$$list2`" \
  414. || exit 0; \
  415. echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
  416. $(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
  417. { for i in $$list1; do echo "$$i"; done; \
  418. if test -n "$$list2"; then \
  419. for i in $$list2; do echo "$$i"; done \
  420. | sed -n '/\.1[a-z]*$$/p'; \
  421. fi; \
  422. } | while read p; do \
  423. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  424. echo "$$d$$p"; echo "$$p"; \
  425. done | \
  426. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
  427. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  428. sed 'N;N;s,\n, ,g' | { \
  429. list=; while read file base inst; do \
  430. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  431. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
  432. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
  433. fi; \
  434. done; \
  435. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  436. while read files; do \
  437. test -z "$$files" || { \
  438. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
  439. $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
  440. done; }
  441. uninstall-man1:
  442. @$(NORMAL_UNINSTALL)
  443. @list=''; test -n "$(man1dir)" || exit 0; \
  444. files=`{ for i in $$list; do echo "$$i"; done; \
  445. l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  446. sed -n '/\.1[a-z]*$$/p'; \
  447. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
  448. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  449. dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
  450. ID: $(am__tagged_files)
  451. $(am__define_uniq_tagged_files); mkid -fID $$unique
  452. tags: tags-am
  453. TAGS: tags
  454. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  455. set x; \
  456. here=`pwd`; \
  457. $(am__define_uniq_tagged_files); \
  458. shift; \
  459. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  460. test -n "$$unique" || unique=$$empty_fix; \
  461. if test $$# -gt 0; then \
  462. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  463. "$$@" $$unique; \
  464. else \
  465. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  466. $$unique; \
  467. fi; \
  468. fi
  469. ctags: ctags-am
  470. CTAGS: ctags
  471. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  472. $(am__define_uniq_tagged_files); \
  473. test -z "$(CTAGS_ARGS)$$unique" \
  474. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  475. $$unique
  476. GTAGS:
  477. here=`$(am__cd) $(top_builddir) && pwd` \
  478. && $(am__cd) $(top_srcdir) \
  479. && gtags -i $(GTAGS_ARGS) "$$here"
  480. cscope: cscope.files
  481. test ! -s cscope.files \
  482. || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
  483. clean-cscope:
  484. -rm -f cscope.files
  485. cscope.files: clean-cscope cscopelist
  486. cscopelist: cscopelist-am
  487. cscopelist-am: $(am__tagged_files)
  488. list='$(am__tagged_files)'; \
  489. case "$(srcdir)" in \
  490. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  491. *) sdir=$(subdir)/$(srcdir) ;; \
  492. esac; \
  493. for i in $$list; do \
  494. if test -f "$$i"; then \
  495. echo "$(subdir)/$$i"; \
  496. else \
  497. echo "$$sdir/$$i"; \
  498. fi; \
  499. done >> $(top_builddir)/cscope.files
  500. distclean-tags:
  501. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  502. -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
  503. distdir: $(DISTFILES)
  504. $(am__remove_distdir)
  505. test -d "$(distdir)" || mkdir "$(distdir)"
  506. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  507. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  508. list='$(DISTFILES)'; \
  509. dist_files=`for file in $$list; do echo $$file; done | \
  510. sed -e "s|^$$srcdirstrip/||;t" \
  511. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  512. case $$dist_files in \
  513. */*) $(MKDIR_P) `echo "$$dist_files" | \
  514. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  515. sort -u` ;; \
  516. esac; \
  517. for file in $$dist_files; do \
  518. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  519. if test -d $$d/$$file; then \
  520. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  521. if test -d "$(distdir)/$$file"; then \
  522. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  523. fi; \
  524. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  525. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  526. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  527. fi; \
  528. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  529. else \
  530. test -f "$(distdir)/$$file" \
  531. || cp -p $$d/$$file "$(distdir)/$$file" \
  532. || exit 1; \
  533. fi; \
  534. done
  535. -test -n "$(am__skip_mode_fix)" \
  536. || find "$(distdir)" -type d ! -perm -755 \
  537. -exec chmod u+rwx,go+rx {} \; -o \
  538. ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  539. ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  540. ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  541. || chmod -R a+r "$(distdir)"
  542. dist-gzip: distdir
  543. tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  544. $(am__post_remove_distdir)
  545. dist-bzip2: distdir
  546. tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
  547. $(am__post_remove_distdir)
  548. dist-lzip: distdir
  549. tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
  550. $(am__post_remove_distdir)
  551. dist-xz: distdir
  552. tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
  553. $(am__post_remove_distdir)
  554. dist-tarZ: distdir
  555. @echo WARNING: "Support for distribution archives compressed with" \
  556. "legacy program 'compress' is deprecated." >&2
  557. @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  558. tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  559. $(am__post_remove_distdir)
  560. dist-shar: distdir
  561. @echo WARNING: "Support for shar distribution archives is" \
  562. "deprecated." >&2
  563. @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  564. shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
  565. $(am__post_remove_distdir)
  566. dist-zip: distdir
  567. -rm -f $(distdir).zip
  568. zip -rq $(distdir).zip $(distdir)
  569. $(am__post_remove_distdir)
  570. dist dist-all:
  571. $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
  572. $(am__post_remove_distdir)
  573. # This target untars the dist file and tries a VPATH configuration. Then
  574. # it guarantees that the distribution is self-contained by making another
  575. # tarfile.
  576. distcheck: dist
  577. case '$(DIST_ARCHIVES)' in \
  578. *.tar.gz*) \
  579. GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
  580. *.tar.bz2*) \
  581. bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  582. *.tar.lz*) \
  583. lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
  584. *.tar.xz*) \
  585. xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  586. *.tar.Z*) \
  587. uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  588. *.shar.gz*) \
  589. GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
  590. *.zip*) \
  591. unzip $(distdir).zip ;;\
  592. esac
  593. chmod -R a-w $(distdir)
  594. chmod u+w $(distdir)
  595. mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
  596. chmod a-w $(distdir)
  597. test -d $(distdir)/_build || exit 0; \
  598. dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  599. && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  600. && am__cwd=`pwd` \
  601. && $(am__cd) $(distdir)/_build/sub \
  602. && ../../configure \
  603. $(AM_DISTCHECK_CONFIGURE_FLAGS) \
  604. $(DISTCHECK_CONFIGURE_FLAGS) \
  605. --srcdir=../.. --prefix="$$dc_install_base" \
  606. && $(MAKE) $(AM_MAKEFLAGS) \
  607. && $(MAKE) $(AM_MAKEFLAGS) dvi \
  608. && $(MAKE) $(AM_MAKEFLAGS) check \
  609. && $(MAKE) $(AM_MAKEFLAGS) install \
  610. && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  611. && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  612. && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  613. distuninstallcheck \
  614. && chmod -R a-w "$$dc_install_base" \
  615. && ({ \
  616. (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  617. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  618. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  619. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  620. distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  621. } || { rm -rf "$$dc_destdir"; exit 1; }) \
  622. && rm -rf "$$dc_destdir" \
  623. && $(MAKE) $(AM_MAKEFLAGS) dist \
  624. && rm -rf $(DIST_ARCHIVES) \
  625. && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  626. && cd "$$am__cwd" \
  627. || exit 1
  628. $(am__post_remove_distdir)
  629. @(echo "$(distdir) archives ready for distribution: "; \
  630. list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  631. sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  632. distuninstallcheck:
  633. @test -n '$(distuninstallcheck_dir)' || { \
  634. echo 'ERROR: trying to run $@ with an empty' \
  635. '$$(distuninstallcheck_dir)' >&2; \
  636. exit 1; \
  637. }; \
  638. $(am__cd) '$(distuninstallcheck_dir)' || { \
  639. echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
  640. exit 1; \
  641. }; \
  642. test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
  643. || { echo "ERROR: files left after uninstall:" ; \
  644. if test -n "$(DESTDIR)"; then \
  645. echo " (check DESTDIR support)"; \
  646. fi ; \
  647. $(distuninstallcheck_listfiles) ; \
  648. exit 1; } >&2
  649. distcleancheck: distclean
  650. @if test '$(srcdir)' = . ; then \
  651. echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  652. exit 1 ; \
  653. fi
  654. @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  655. || { echo "ERROR: files left in build directory after distclean:" ; \
  656. $(distcleancheck_listfiles) ; \
  657. exit 1; } >&2
  658. check-am: all-am
  659. check: check-am
  660. all-am: Makefile $(PROGRAMS) $(MANS) config.h
  661. installdirs:
  662. for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"; do \
  663. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  664. done
  665. install: install-am
  666. install-exec: install-exec-am
  667. install-data: install-data-am
  668. uninstall: uninstall-am
  669. install-am: all-am
  670. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  671. installcheck: installcheck-am
  672. install-strip:
  673. if test -z '$(STRIP)'; then \
  674. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  675. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  676. install; \
  677. else \
  678. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  679. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  680. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  681. fi
  682. mostlyclean-generic:
  683. clean-generic:
  684. distclean-generic:
  685. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  686. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  687. maintainer-clean-generic:
  688. @echo "This command is intended for maintainers to use"
  689. @echo "it deletes files that may require special tools to rebuild."
  690. clean: clean-am
  691. clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
  692. distclean: distclean-am
  693. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  694. -rm -rf ./$(DEPDIR)
  695. -rm -f Makefile
  696. distclean-am: clean-am distclean-compile distclean-generic \
  697. distclean-hdr distclean-tags
  698. dvi: dvi-am
  699. dvi-am:
  700. html: html-am
  701. html-am:
  702. info: info-am
  703. info-am:
  704. install-data-am: install-man
  705. install-dvi: install-dvi-am
  706. install-dvi-am:
  707. install-exec-am: install-binPROGRAMS
  708. install-html: install-html-am
  709. install-html-am:
  710. install-info: install-info-am
  711. install-info-am:
  712. install-man: install-man1
  713. install-pdf: install-pdf-am
  714. install-pdf-am:
  715. install-ps: install-ps-am
  716. install-ps-am:
  717. installcheck-am:
  718. maintainer-clean: maintainer-clean-am
  719. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  720. -rm -rf $(top_srcdir)/autom4te.cache
  721. -rm -rf ./$(DEPDIR)
  722. -rm -f Makefile
  723. maintainer-clean-am: distclean-am maintainer-clean-generic
  724. mostlyclean: mostlyclean-am
  725. mostlyclean-am: mostlyclean-compile mostlyclean-generic
  726. pdf: pdf-am
  727. pdf-am:
  728. ps: ps-am
  729. ps-am:
  730. uninstall-am: uninstall-binPROGRAMS uninstall-man
  731. uninstall-man: uninstall-man1
  732. .MAKE: all install-am install-strip
  733. .PHONY: CTAGS GTAGS TAGS all all-am am--refresh check check-am clean \
  734. clean-binPROGRAMS clean-cscope clean-generic cscope \
  735. cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
  736. dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
  737. distcheck distclean distclean-compile distclean-generic \
  738. distclean-hdr distclean-tags distcleancheck distdir \
  739. distuninstallcheck dvi dvi-am html html-am info info-am \
  740. install install-am install-binPROGRAMS install-data \
  741. install-data-am install-dvi install-dvi-am install-exec \
  742. install-exec-am install-html install-html-am install-info \
  743. install-info-am install-man install-man1 install-pdf \
  744. install-pdf-am install-ps install-ps-am install-strip \
  745. installcheck installcheck-am installdirs maintainer-clean \
  746. maintainer-clean-generic mostlyclean mostlyclean-compile \
  747. mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
  748. uninstall-am uninstall-binPROGRAMS uninstall-man \
  749. uninstall-man1
  750. .PRECIOUS: Makefile
  751. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  752. # Otherwise a system limit (for SysV at least) may be exceeded.
  753. .NOEXPORT: